<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="description">
    <name>
      <text>10.1.20 (Non-differentiable function)</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<h3>Non-differentiable functions</h3>

<p>To understand differentiable functions it is as important to understand what it means to <b>not</b> be differentiable.&nbsp; We say that a function \(f\) is <b>differentiable </b>at a point \(x\) if the limit 
\[
\lim_{h \to 0}\frac{f(x+h) - f(x)}{h}
\]
exists. This value is then exactly the value of the derivative at that point, \(f'(x)\).&nbsp; But there are some situations where that limit does not exist: that is to say, that as we let \(h\) get smaller, there is no one number that the values \(\dfrac{f(x+h)-f(x)}{h}\) approach.&nbsp; Two examples are given below.</p>

<h3>Example</h3>

<p>The function \(f(x) = \lvert x \rvert\) is not differentiable at \(0\).</p>

<h3>Solution</h3>

<p>This is a result of the fact that when we let \(h\) get closer to \(0\), we consider both the possibilities that it is positive and negative.&nbsp; The slope of the graph is \(+1\) when looking at positive numbers, but is \(-1\) when looking at negative numbers, as we can see from the graph.</p>
<br/>
<p><img src="@@PLUGINFILE@@/mod%28x%29.svg" alt="Graph of y = |x|" class="img-responsive atto_image_button_text-bottom" width="400" height="434">
<br/>
<p>So for positive \(h\), 
\[
\frac{f(0+h)- f(0)}{h} = \frac{\lvert 0+h\rvert - \lvert 0 \rvert}{h} = \frac{0 + h - 0}{h}= \frac{h}{h} = 1,
\] 
so the limit of the difference quotients as \(h\) tends to \(0\) through positive values is \(1\).&nbsp; However, for negative \(h\), 
\[
\frac{f(0+h) - f(0)}{h} =\frac{\lvert 0+h \rvert - \lvert 0 \rvert}{h} = \frac{-(0+h) - 0}{h} = \frac{-h}{h} = -1,
\] 
so the limit of the difference quotients as \(h\) tends to \(0\) through negative values is \(-1\).&nbsp; A limit must be one well-defined number, but we have two options here.&nbsp; So the limit in general does not exist.</p>
<br/>
<h3>Example</h3>

<p>The function 
\[ 
f(x) = \begin{cases}x \sin(1/x) &amp; x \neq 0\\ 0 &amp; x = 0\end{cases}
\] 
is not differentiable at \(0\).</p>

<h3>Solution</h3>

<p>The difference quotients \(\dfrac{f(0+h)-f(0)}{h}\) oscillate through all values between \(1\) and \(-1\) as \(h\) goes to \(0\).&nbsp; This is best seen by using the slider in the applet below to see how the gradient of the line through the points \(0,f(0))\) and \((h, f(h))\) keeps changing as \(h\) approaches \(0\).<br></p>

<iframe scrolling="no" title="Non-differentiable function" src="https://www.geogebra.org/material/iframe/id/eurgpncn/width/700/height/525/border/888888/smb/false/stb/false/stbh/false/ai/false/asb/false/sri/false/rc/false/ld/false/sdz/false/ctl/false" style="border:0px;" width="700px" height="525px"> </iframe>]]></text>
<file name="mod(x).svg" path="/" encoding="base64">[encoded data, 48668 characters]</file>
    </questiontext>
    <generalfeedback format="html">
      <text/>
    </generalfeedback>
    <defaultgrade>0</defaultgrade>
    <penalty>0</penalty>
    <hidden>0</hidden>
    <idnumber/>
  </question>
</quiz>
